OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_ConfigurationDesign Class Reference

Representation of STEP entity ConfigurationDesign
.

`#include <StepRepr_ConfigurationDesign.hxx>`

## Public Member Functions
Standard_EXPORT | StepRepr_ConfigurationDesign ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepRepr_ConfigurationItem)&aConfiguration, const StepRepr_ConfigurationDesignItem &aDesign)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepRepr_ConfigurationItem | Configuration () const
| Returns field Configuration .
Standard_EXPORT void | SetConfiguration (const Handle(StepRepr_ConfigurationItem)&Configuration)
| Set field Configuration .
Standard_EXPORT StepRepr_ConfigurationDesignItem | Design () const
| Returns field Design .
Standard_EXPORT void | SetDesign (const StepRepr_ConfigurationDesignItem &Design)
| Set field Design .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepRepr_ConfigurationItem | theConfiguration
StepRepr_ConfigurationDesignItem | theDesign

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_ConfigurationDesign::StepRepr_ConfigurationDesign | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepRepr_ConfigurationItem StepRepr_ConfigurationDesign::Configuration | ( |  | ) | const

Standard_EXPORT StepRepr_ConfigurationDesignItem StepRepr_ConfigurationDesign::Design | ( |  | ) | const

Standard_EXPORT const StepRepr_ConfigurationDesign::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepRepr_ConfigurationDesign::Init | ( | const Handle(StepRepr_ConfigurationItem)& | aConfiguration,
|  | const StepRepr_ConfigurationDesignItem & | aDesign
| ) |

Standard_EXPORT void StepRepr_ConfigurationDesign::SetConfiguration | ( | const Handle(StepRepr_ConfigurationItem)& | Configuration | ) |

Standard_EXPORT void StepRepr_ConfigurationDesign::SetDesign | ( | const StepRepr_ConfigurationDesignItem & | Design | ) |

## Field Documentation

Handle_StepRepr_ConfigurationItem StepRepr_ConfigurationDesign::theConfiguration`[private]`

StepRepr_ConfigurationDesignItem StepRepr_ConfigurationDesign::theDesign`[private]`

The documentation for this class was generated from the following file:

- StepRepr_ConfigurationDesign.hxx